--
def METADATAOWNER = &1
def METADATAPASSWORD = &1
def SERVER = &2
def INSTALL_FOLDER = &3
def SCHEMA_URL = &4
def DBA = &5
def DBAPASSWORD = &6
def TNSALIAS =&7
--
var PUBLISHED_CONTENT_FOLDER varchar2(700)
var IMAGE_CATEGORIZATION_FOLDER  varchar2(700)
var BASE_FOLDER varchar2(700)
var RES_CONFIG_PATH varchar2(700)
var SCHEMA_LOCATION varchar2(700)
var SCHEMA_URL varchar2(700)
var METADATAOWNER varchar2(32)
--
begin 
  :PUBLISHED_CONTENT_FOLDER    := XDB_CONSTANTS.PUBLIC_FOLDER;
  :IMAGE_CATEGORIZATION_FOLDER := :PUBLISHED_CONTENT_FOLDER || '/allImages';
  :BASE_FOLDER                 := :PUBLISHED_CONTENT_FOLDER || '/imageMetadata';
  :RES_CONFIG_PATH             := :BASE_FOLDER || '/xml/imageEventConfiguration.xml';
  :SCHEMA_LOCATION             := :BASE_FOLDER || '/xsd/imageMetadata.xsd';
  :SCHEMA_URL                  := '&SCHEMA_URL';  
  :METADATAOWNER               := '&METADATAOWNER';
end;
/
--
